Participants - Update
Update participants in a room.
PATCH {endpoint}/rooms/{roomId}/participants?api-version=2025-03-13
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
endpoint
|
path | True |
string (url) |
The endpoint of the Azure Communication resource. |
|
room
|
path | True |
string |
The id of the room to update the participants in. |
|
api-version
|
query | True |
string |
Version of API to invoke. |
Request Header
Media Types: "application/merge-patch+json"
| Name | Required | Type | Description |
|---|---|---|---|
| Authorization | True |
string |
An authentication string containing a signature generated using HMAC-SHA256 scheme. |
Request Body
Media Types: "application/merge-patch+json"
| Name | Type | Description |
|---|---|---|
| participants |
<string,
Participant |
Participants to be updated. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
object |
The participants were successfully updated. |
| Other Status Codes |
Communication |
Error response Headers x-ms-error-code: string |
Security
Authorization
An authentication string containing a signature generated using HMAC-SHA256 scheme.
Type:
apiKey
In:
header
Examples
Update participants
Sample request
PATCH https://contoso.communication.azure.com//rooms/99199690362660524/participants?api-version=2025-03-13
{
"participants": {
"8:acs:db75ed0c-e801-41a3-99a4-66a0a119a06c_00000010-ce28-064a-83fe-084822000666": {
"role": "Attendee"
},
"8:acs:db75ed0c-e801-41a3-99a4-66a0a119a06c_00000010-ce28-064a-83fe-084822000777": {
"role": "Presenter"
},
"8:acs:db75ed0c-e801-41a3-99a4-66a0a119a06c_00000010-ce28-064a-83fe-084822000888": {
"role": "Collaborator"
},
"8:acs:db75ed0c-e801-41a3-99a4-66a0a119a06c_00000010-ce28-064a-83fe-084822000999": null
}
}
Sample response
{}
Definitions
| Name | Description |
|---|---|
|
Participant |
|
| Role |
The role of a room participant. The default value is Attendee. |
|
Update |
Participants to be updated in the room. |
ParticipantProperties
| Name | Type | Description |
|---|---|---|
| role |
The role of a room participant. The default value is Attendee. |
Role
The role of a room participant. The default value is Attendee.
| Value | Description |
|---|---|
| Presenter | |
| Attendee | |
| Consumer | |
| Collaborator |
UpdateParticipantsRequest
Participants to be updated in the room.
| Name | Type | Description |
|---|---|---|
| participants |
<string,
Participant |
Participants to be updated. |